Add Custom Declaration to the Orders
POST /api/marketplace/v3/dbs/orders/meta/customs-declarationBase URL: https://marketplace-api.wildberries.ru · Module: dbs · Section: DBS Label Identifiers · Specification doc ↗
Sets the customs declaration numbers and numeric codes of the countries of origin for assembly order label identifiers. One assembly order can have only one customs declaration number. Customs declaration number can only be added if all the conditions are met:
- the assembly order has the B2B sale attribute —
"isB2b": truein the response of the method getting new assembly orders - the assembly order is in
confirmordeliverstatuses - the
customsDeclarationfield is returned in the response of the Get order label identifiers method
Request limit per one seller account for all methods for adding DBS label identifiers:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 500 requests | 120 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Request body
application/json — schema object, required
ordersobject[](required)customsDeclarationstring(required) — Customs declaration numberorderIdinteger<int64>(required) — Assembly order IDoriginCountryCodestring(required) — Numeric code of the country of origin according to Russian classification of countries of the world. Required only for assembly orders with the B2B sale indicator"isB2b": true
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | api.StatusSetResponses |
400 | Bad request | Error |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
404 | The resource is not found | Error |
409 | Label identifiers update error | Error |
429 | Too many requests | object |
Structure 200:
requestIdstring— Unique request IDresultsapi.StatusSetResponse[]errorsapi.BatchErrorResponse[]— Error detailscodeinteger<int64>— Error code: -404-409-400detailstring— -NotFound— assembly order is not found -StatusMismatch— operation is not possible for this assembly order status -ImeiIsNotFilled— IMEI is not filled -OrderNotB2B— operation is available only for assembly orders with the B2B sale indicator"isB2b": true-InvalidOriginCountryCode— invalid country of origin code
isErrorboolean— Are there any errorsorderIdinteger<int64>— Assembly order ID with successfully set data
Structure 400:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 404:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 409:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
from wb_api_client.dbs import Configuration, ApiClient
from wb_api_client.dbs.api import DbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = DbsApi(ApiClient(cfg))
result = api.post_v3_dbs_orders_meta_customs_declaration(post_v3_dbs_orders_meta_customs_declaration_request=...)
print(result)import {
Configuration,
DbsApi,
} from "@valeryverkhoturov/wb-api-client/dbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new DbsApi(cfg);
const { data } = await api.postV3DbsOrdersMetaCustomsDeclaration(postV3DbsOrdersMetaCustomsDeclarationRequest);
console.log(data);import (
"context"
"fmt"
wbdbs "github.com/ValeryVerkhoturov/wb-api-client-go/dbs"
)
cfg := wbdbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbdbs.NewAPIClient(cfg)
result, _, err := client.DbsAPI.PostV3DbsOrdersMetaCustomsDeclaration(context.Background()).PostV3DbsOrdersMetaCustomsDeclarationRequest(postV3DbsOrdersMetaCustomsDeclarationRequest).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)import io.github.valeryverkhoturov.wbapi.dbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.dbs.SecretString;
import io.github.valeryverkhoturov.wbapi.dbs.api.DbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
DbsApi api = new DbsApi(client);
System.out.println(api.postV3DbsOrdersMetaCustomsDeclaration(postV3DbsOrdersMetaCustomsDeclarationRequest));use ValeryVerkhoturov\WbApiClient\Dbs\Configuration;
use ValeryVerkhoturov\WbApiClient\Dbs\SecretString;
use ValeryVerkhoturov\WbApiClient\Dbs\Api\DbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new DbsApi(new Client(), $config);
print_r($api->postV3DbsOrdersMetaCustomsDeclaration($post_v3_dbs_orders_meta_customs_declaration_request));#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый DbsApi(Настройки);
Сообщить(Клиент.PostV3DbsOrdersMetaCustomsDeclaration(Тело).Тело);using ValeryVerkhoturov.WbApiClient.Dbs.Api;
using ValeryVerkhoturov.WbApiClient.Dbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new DbsApi(config);
Console.WriteLine(api.PostV3DbsOrdersMetaCustomsDeclaration(postV3DbsOrdersMetaCustomsDeclarationRequest));use wb_api_client::dbs::apis::{configuration::Configuration, dbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = dbs_api::post_v3_dbs_orders_meta_customs_declaration(&cfg, post_v3_dbs_orders_meta_customs_declaration_request).await;
println!("{:#?}", result);
}